Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 223921 - Plaintext password in URL
Summary: Plaintext password in URL
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Bugzilla
Classification: Community
Component: Bugzilla General
Version: 3.2
Hardware: All
OS: Linux
medium
medium vote
Target Milestone: ---
Assignee: PnT DevOps Devs
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-23 02:09 UTC by Andrew Overholt
Modified: 2013-06-24 02:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-10-02 18:00:05 UTC


Attachments (Terms of Use)

Description Andrew Overholt 2007-01-23 02:09:30 UTC
Description of problem:
I just noticed that all of the URLs from the Enter Bug (Expert) page [1] contain
my username and password in plaintext!

Version-Release number of selected component (if applicable):
2.18-rh

This seems to happen every time for me.

[1]
http://bugzilla.redhat.com/bugzilla/enter_bug.cgi

Comment 1 David Lawrence 2008-09-16 16:55:07 UTC
Red Hat Bugzilla is now using version 3.2 of the Bugzilla codebase and therefore this bug will need to be re-verified against the new release. With the updated code this bug may no longer be relevant or may have been fixed in the new code.
Updating bug version to 3.2.

Comment 2 Andrew Overholt 2008-10-02 18:00:05 UTC
I'm sure this was just some fluke back then.  Closing.


Note You need to log in before you can comment on or make changes to this bug.